FruxonDocs
AgentsAssets

/v1/tenants/{tenant}/agents/{agent}/assets:file

POST
/v1/tenants/{tenant}/agents/{agent}/assets:file

Path Parameters

agent*string

The agent identifier

revision*integer

The revision identifier

Formatint64
tenant*string

The tenant identifier

Request Body

multipart/form-data

File*string

The file to upload.

Payload*string

JSON string containing asset metadata

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets:file" \  -F File="document.pdf" \  -F Payload="{\n  \"SessionId\": \"session-123\",\n  \"Vectorize\": true\n}"
{
  "id": "string",
  "displayName": "string",
  "contentType": "string",
  "assetType": 0,
  "vectorized": false,
  "link": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}